/*
 * ---------------------------------------------------------- Generic ----------
 */
.c-dark-theme .alert-secondary {
	background-color: #28292e;
	border-color: #34343b;
}
.c-dark-theme .page-link {
	color: #e1e1e1;
	background-color: rgba(255, 255, 255, .075);
	border-color: #181924;
}
.c-dark-theme .page-link:hover {
	color: #e1e1e1;
	background-color: #181924;
	border-color: #181924;
}
.c-dark-theme .page-item.active .page-link {
	color: #fff;
	background-color: #4638c2;
	border-color: #321fdb;
}
.c-dark-theme .page-item.disabled .page-link {
	color: rgba(255, 255, 255, .5);
	background-color: rgba(255, 255, 255, .025);
	border-color: #181924;
}
.c-dark-theme .input-group-text {
	color: rgba(225, 225, 225, 0.5);
	background-color: #181924;
	border-color: #181924;
}
.card-header b {
	font-size: 90%;
	font-weight: bold;
	color: #768192;
}
.card-header-actions .card-header-action {
	font-size: .75rem;
}
.card-filter {
	padding: 1.25rem;
	background-color: rgba(0, 0, 0, .05);
	margin-bottom: 1.25rem;
	border-radius: .5rem;
}
.filter.filtering:after {
	content: 'あり';
	color: #fff;
	background-color: #3399ff;
	border-radius: 1em;
	padding: .25em .4em;
	font-size: 75%;
}
.filter.error:after {
	content: 'エラー';
	color: #fff;
	background-color: #f86c6b;
	border-radius: 1em;
	padding: .25em .4em;
	font-size: 75%;
}
.close {
	color: #fff;
	text-shadow: 0 1px 0 #000015;
	opacity: .5;
	transition: all .3s ease;
}
.close:hover {
	color: #fff;
	text-shadow: 0 1px 0 #000015;
	opacity: 1;
}

/*
 * ---------------------------------------------------------- Popover ----------
 */
.popover {
	white-space: nowrap;
	max-width: 100vw;
}

/*
 * ----------------------------------------------------------- Toastr ----------
 */
#toast-container.toast-top-right {
	top: 70px;
	right: 30px;
}
#toast-container > .toast {
	display: flex;
	padding: 5px 15px;
	min-width: 300px;
	max-width: 600px;
	width: auto;
}
#toast-container > .toast.toast-success {
	background-image: none !important;
	background-color: #2eb85c;
	box-shadow: none;
}
#toast-container > .toast.toast-error {
	background-image: none !important;
	background-color: #e55353;
	box-shadow: none;
}
#toast-container > .toast.toast-success:before {
	font-family: 'Font Awesome 5 Free';
	font-size: 200%;
	font-weight: 900;
	content: '\f00c';
	float: left;
	padding-right: 15px;
}
#toast-container > .toast.toast-error:before {
	font-family: 'Font Awesome 5 Free';
	font-size: 200%;
	font-weight: 900;
	content: '\f071';
	float: left;
	padding-right: 15px;
}
#toast-container > .toast .toast-message {
	align-self: center !important;
	font-size: .7rem;
	white-space: nowrap;
}

/*
 * ------------------------------------------------------------ Table ----------
 */
.table thead .sorting a {
	display: block;
	position: relative;
}
.table thead .sorting a:after {
	font-family: 'Font Awesome 5 Free';
	display: inline-block;
	float: right;
	opacity: .5;
	right: 0;
	content: '\f0dc';
}
.table thead .sorting a.asc:after {
	content: '\f0de';
	opacity: .8;
}
.table thead .sorting a.desc:after {
	content: '\f0dd';
	opacity: .8;
}
.table tbody tr[data-href] {
	cursor: pointer;
}

/*
 * --------------------------------------------------------- DataList ----------
 */
.dl-horizontal dd {
	min-height: 1.4rem;
}
.dl-horizontal dd ul {
	list-style: none;
	margin: 0;
	padding: 0;
}
@media (min-width: 768px) {
	.dl-horizontal dt {
		float: left;
		width: 160px;
		overflow: hidden;
		clear: left;
		text-align: right;
		text-overflow: ellipsis;
		white-space: nowrap;
	}
	.dl-horizontal dd {
		margin-left: 180px !important;
	}
}

/*
 * ------------------------------------------------------------- Form ----------
 */
.invalid-feedback {
	display: block;
	opacity: 0.9;
	color: #f86c6b;
	margin-left: 1rem;
}
.form-group > label {
	font-weight: bold;
}
.form-group.radio > label {
	display: block;
}
.form-group.radio .form-check.form-check-inline {
	padding: .375rem 0;
}
.form-group.radio .form-check label {
	cursor: pointer;
}
.form-group.required > label:after {
	font-family: 'Font Awesome 5 Free';
	display: inline-block;
	content: '\f06a  必須';
	font-size: 70%;
	font-weight: bold;
	vertical-align: super;
	color: #f86c6b;
	margin-left: .2rem;
}
.form-group.error input,
.form-group.error select,
.form-group.error textarea,
.form-group.error .input-group-append .input-group-text {
	border-color: #f86c6b;
}
.form-group > label + .help {
	font-size: 90%;
	font-weight: bold;
	color: #63c2de;
	padding-left: .5rem;
	opacity: .5;
	cursor: pointer;
	transition: all .3s ease;
}
.form-group > label + .help:before {
	font-family: 'Font Awesome 5 Free';
	font-weight: 400;
	content: '\f059';
	padding-right: .25rem;
}
.form-group > label + .help:hover {
	opacity: 1;
}
.form-group.select > label {
	display: block;
}

/*
 * ----------------------------------------------------------- Upload ----------
 */
.upload .drop-area {
	border: 2px dashed rgba(0, 0, 0, 0.1);
	padding: 20px 10px;
	border-radius: 6px;
	background-color: rgba(0, 0, 0, 0.01);
	text-align: center;
	color: #666;
	line-height: 2em;
}
.upload .drop-area.focus {
	border-color: #009dcd;
	box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
}
.upload .drop-area .help-block {
	margin-top: .5rem;
	color: #f86c6b;
	font-weight: bold;
}
.upload .drop-area .help-block:before {
	font-family: 'Font Awesome 5 Free';
	font-weight: 900;
	content: '\f071';
	padding-right: .5rem;
}
.upload .fileinfo-area {
	cursor: pointer;
	transition: 0.3s all linear;
}
.upload .fileinfo-area:hover {
	color: #f86c6b !important;
	opacity: .9;
}
.upload .fileinfo-area .filename:after {
	font-family: "Font Awesome 5 Free";
	display: inline-block;
	content: '\f05e  削除';
	font-size: 70%;
	font-weight: bold;
	color: #f86c6b;
	margin-left: .2rem;
	opacity: 0;
	transition: 0.3s all linear;
}
.upload .fileinfo-area:hover .filename:after {
	opacity: .9;
}
.upload .fileinfo-area .filetype {
	color: #999;
	font-size: .75em;
	font-style: italic;
	margin-bottom: .75em;
}
.upload .multiple-fileinfo-area .file {
	cursor: pointer;
	transition: 0.3s all linear;
}
.upload .multiple-fileinfo-area .file:after {
	font-family: "Font Awesome 5 Free";
	display: inline-block;
	content: '\f05e  削除';
	font-size: 70%;
	font-weight: bold;
	color: #f86c6b;
	margin-left: .2rem;
	opacity: 0;
	transition: 0.3s all linear;
}
.upload .multiple-fileinfo-area .file:hover {
	text-decoration: underline;
}
.upload .multiple-fileinfo-area .file:hover:after {
	opacity: .9;
}
.upload .multiple-fileinfo-area .filetype {
	color: #999;
	font-size: .75em;
	font-style: italic;
	margin-bottom: .75em;
	padding-left: .75em;
}

/*
 * -------------------------------------------------------- Thumbnail ----------
 */
.thumbnail {
	border-radius: .5em;
	margin-bottom: .5em;
}

/*
 * ----------------------------------------------------- iframe Video ----------
 */
.iframe-video {
	position: relative;
	width: 100%;
	padding-top: 56.25%;
	margin-bottom: 2rem;
}
.iframe-video iframe {
	position: absolute;
	top: 0;
	right: 0;
	width: 100%;
	height: 100%;
	border: 0;
}

/*
 * -------------------------------------------------------- Tree List ----------
 */
ol.treelist {
	list-style: none;
	padding-left: 0;
}
ol.treelist li {
}
ol.treelist li > div {
	border: 1px solid rgba(0, 0, 0, .2);
	border-radius: .5rem;
	display: block;
	padding: .75rem;
	margin: .25rem 0;
}
ol.treelist li > div:hover {
	background-color: rgba(0,0,21,.05);
}
ol.treelist li > div i {
	cursor: pointer;
}
ol.treelist li > ol.treelist {
	padding-left: 1.5rem;
}
